## python-ua-parser 0.8.0

=== Makefile ===
all: test

test: clean
	@mkdir -p tmp
	@PYTHONPATH=tmp python setup.py develop -d tmp
	@# run all tests
	@PYTHONPATH=tmp python ua_parser/user_agent_parser_test.py
	@# run a single test
	@#PYTHONPATH=tmp python ua_parser/user_agent_parser_test.py ParseTest.testStringsDeviceBrandModel

clean:
	@find . -name '*.pyc' -delete
	@rm -rf tmp \
	   ua_parser.egg-info \
	   dist \
	   build \
	   ua_parser/_regexes.py

release: clean
	python setup.py sdist bdist_wheel
	twine upload -s dist/*

.PHONY: all test clean release

## python-ua-parser 0.7.3

=== debian/changelog ===
python-ua-parser (0.7.3-1) unstable; urgency=low

  * Initial release. (Closes: #890327)

 -- Edward Betts <edward@4angle.com>  Wed, 14 Feb 2018 08:00:00 +0000

=== debian/control ===
Source: python-ua-parser
Maintainer: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.1.3
Homepage: https://github.com/ua-parser/uap-python

Package: python3-ua-parser
Architecture: all
Depends: uap-core, ${misc:Depends}, ${python3:Depends}
Description: Python module for parsing HTTP User-Agent strings
 Parse the User-Agent string from a web browser or other HTTP client.
 Extracts information and version numbers for the device, operating
 system and the user agent.

## python-ua-parser 0.8.0

=== debian/changelog ===
python-ua-parser (0.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Add Vcs-* field

  [ Edward Betts ]
  * New upstream release.
  * d/rules: Update standards version, no changes.
  * d/rules: Set Maintainer to Debian Python Modules Team.

 -- Edward Betts <edward@4angle.com>  Sat, 05 May 2018 10:31:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-ua-parser
-Maintainer: Edward Betts <edward@4angle.com>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 11),
@@ -7,8 +8,10 @@
                python3-all,
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/ua-parser/uap-python
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ua-parser
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-ua-parser.git
 
 Package: python3-ua-parser
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ua-parser
%:
	dh $@ --with python3 --buildsystem=pybuild

## python-ua-parser 0.9.0

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,11 @@
 	   dist \
 	   build \
 	   ua_parser/_regexes.py
+format:
+	@black .
 
 release: clean
 	python setup.py sdist bdist_wheel
 	twine upload -s dist/*
 
-.PHONY: all test clean release
+.PHONY: all test clean format release

=== requirements.txt ===
pyyaml==5.1

=== debian/changelog ===
python-ua-parser (0.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Edward Betts ]
  * New upstream release.
  * Update Standards-Version.
  * Set Rules-Requires-Root to no.
  * Update debhelper-compat to 12.

 -- Edward Betts <edward@4angle.com>  Mon, 10 Feb 2020 09:58:03 +0000

## python-ua-parser 0.10.0

=== debian/changelog ===
python-ua-parser (0.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * Add patch to remove yaml from setup-requires.
  * d/clean: add file.
  * Add autopkgtest.
    - Reproduce #991364.
  * d/control: Add python3-yaml as depedency (Closes: #991364).
  * d/control: Bump debhelper-compat to 13.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 29 Sep 2021 16:12:00 -0300

python-ua-parser (0.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 19 Mar 2020 19:59:29 +0000

=== debian/control ===
Source: python-ua-parser
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/ua-parser/uap-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ua-parser
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ua-parser.git

Package: python3-ua-parser
Architecture: all
Depends: uap-core, ${misc:Depends}, ${python3:Depends}, python3-yaml
Description: Python module for parsing HTTP User-Agent strings
 Parse the User-Agent string from a web browser or other HTTP client.
 Extracts information and version numbers for the device, operating
 system and the user agent.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ua-parser
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: simple-test
Depends:
 @,
 python3-all
Restrictions: allow-stderr

## python-ua-parser 0.16.0

=== debian/changelog ===
python-ua-parser (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 24 Aug 2022 12:28:38 +0100

python-ua-parser (0.15.0-2) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.
  * Update debian/watch to version 4.
  * Switch from dh --with python in debian/rules to a dh-sequence-python3
  * Remove egg-info during clean target.
  * Run tests when building package.
  * Add Build-Depends python3-pytest and uap-core for tests.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Jun 2022 12:23:27 +0100

## python-ua-parser 0.16.1

=== debian/changelog ===
python-ua-parser (0.16.1-2) unstable; urgency=medium

  * Fix package to build with setuptools 65.5.0. (Closes: #1022474)

 -- Edward Betts <edward@4angle.com>  Mon, 24 Oct 2022 12:42:31 +0100

python-ua-parser (0.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 28 Aug 2022 21:15:32 +0100

=== debian/control ===
Source: python-ua-parser
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-yaml,
               uap-core (>= 1:0.15.0-2)
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/ua-parser/uap-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ua-parser
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ua-parser.git

Package: python3-ua-parser
Architecture: all
Depends: python3-yaml, uap-core, ${misc:Depends}, ${python3:Depends}
Description: Python module for parsing HTTP User-Agent strings
 Parse the User-Agent string from a web browser or other HTTP client.
 Extracts information and version numbers for the device, operating
 system and the user agent.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=python-ua-parser
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ua_parser.egg-info/

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	for dir in $(BUILD_DIR); do \
		ln -s /usr/share/uap-core $$dir; \
	done
	dh_auto_test
	for dir in $(BUILD_DIR); do \
		rm $$dir/uap-core ; \
	done
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-ua-parser-$1\.tar\.gz/ \
  https://github.com/ua-parser/uap-python/tags .*/v?(\d\S+)\.tar\.gz

## python-ua-parser 0.18.0

=== debian/changelog ===
python-ua-parser (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 22 Sep 2023 07:34:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-yaml,
                uap-core (>= 1:0.15.0-2)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ua-parser/uap-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ua-parser
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-ua-parser.git

=== debian/tests/control ===
Tests: simple-test
Depends: python3-all, @
Restrictions: allow-stderr
